Package net.dona.doip.client.transport

# Class ConnectionOptions

java.lang.Object
net.dona.doip.client.transport.ConnectionOptions

public class ConnectionOptions extends Object
Options for a connection to a DOIP server.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `address`
  The IP address of the DOIP server.
  `String`
  `clientId`
  The identifier for the client; if present, will be used along with `clientPublicKey` and `clientPrivateKey` to produce a client-side TLS certificate to be used for the connection.
  `PrivateKey`
  `clientPrivateKey`
  `PublicKey`
  `clientPublicKey`
  `Integer`
  `connectTimeoutMs`
  Connection timeout in ms.
  `int`
  `port`
  The port of the DOIP server.
  `Integer`
  `readTimeoutMs`
  Read timeout in ms.
  `String`
  `serverId`
  The identifier of the server; if present `trustedServerPublicKeys` should also be provided.
  `List<PublicKey>`
  `trustedServerPublicKeys`
  A list of public keys that will be trusted for this server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionOptions()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### address

    public String address
    The IP address of the DOIP server.

  - ### port

    public int port
    The port of the DOIP server.

  - ### connectTimeoutMs

    public Integer connectTimeoutMs
    Connection timeout in ms.

  - ### readTimeoutMs

    public Integer readTimeoutMs
    Read timeout in ms.

  - ### serverId

    public String serverId
    The identifier of the server; if present `trustedServerPublicKeys` should also be provided.

  - ### trustedServerPublicKeys

    public List<PublicKey> trustedServerPublicKeys
    A list of public keys that will be trusted for this server.

  - ### clientId

    public String clientId
    The identifier for the client; if present, will be used along with `clientPublicKey` and `clientPrivateKey` to produce a client-side TLS certificate to be used for the connection.

  - ### clientPublicKey

    public PublicKey clientPublicKey

  - ### clientPrivateKey

    public PrivateKey clientPrivateKey

- ## Constructor Details

  - ### ConnectionOptions

    public ConnectionOptions()